List Channels

GEThttps://api.firmreader.com/v1/channels

Retrieve all channels in the workspace that the API key has access to.

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

visibility"organization" | "team" | "private"

Filter by visibility level.

Allowed values: "organization" | "team" | "private"
limitintegerdefault: 20

Number of channels to return per page.

Required range: x >= 1, x <= 100
Default: 20
cursorstring

Cursor for pagination.

Response

application/json

List of channels

dataarray<object>
data.idstring

Unique channel identifier.

data.namestring

Display name of the channel.

data.slugstring

URL-friendly identifier.

data.descriptionstring

Short summary of the channel.

data.visibility"organization" | "team" | "private"

Who can see this channel.

Allowed values: "organization" | "team" | "private"
data.subscriber_countinteger

Number of subscribers.

data.post_countinteger

Total posts in the channel.

data.is_defaultboolean

Whether new members are auto-subscribed.

data.is_archivedboolean

Whether the channel is archived.

data.created_atstring<date-time>
data.updated_atstring<date-time>
next_cursorstring
has_moreboolean